corelinux::Identifier Class Reference

An Identifier is a abstract representation of identity. More...

`#include <Identifier.hpp>`

## Public Member Functions

| Identifier (void)
| Default Constructor.
| Identifier (IdentifierCref)
| Copy Constructor. More...
virtual | ~Identifier (void)
| Virtual Destructor.
IdentifierRef | operator= (IdentifierCref)
| Assignment operator overload. More...
bool | operator== (IdentifierCref) const
| Equality operator overload calls isEqual virtual method. More...
bool | operator!= (IdentifierCref) const
| Non-equality operator overload returns !isEqual(aRef) More...
bool | operator< (IdentifierCref) const
| Less than operator overload. More...
bool | operator<= (IdentifierCref) const
| Less than or equal operator overload. More...
bool | operator> (IdentifierCref) const
| Greater than operator overload. More...
bool | operator>= (IdentifierCref) const
| Greater than or equal operator overload. More...
Public Member Functions inherited from corelinux::CoreLinuxObject
| CoreLinuxObject (void)
| Default Constructor.
| CoreLinuxObject (CoreLinuxObjectCref)
| Copy Constructor. More...
virtual | ~CoreLinuxObject (void)
| Virtual Destructor.
CoreLinuxObjectRef | operator= (CoreLinuxObjectCref)
| Assignment operator overload. More...
bool | operator== (CoreLinuxObjectCref) const
| Equality operator overload. More...
bool | operator!= (CoreLinuxObjectCref) const
| Non-equality operator overload. More...

## Protected Member Functions

virtual bool | isEqual (IdentifierCref) const
| Equality method. More...
virtual bool | isLessThan (IdentifierCref) const
| Less than method. More...
virtual bool | isLessThanOrEqual (IdentifierCref) const
| Less than or equal method. More...
virtual bool | isGreaterThan (IdentifierCref) const
| Greater than method. More...
virtual bool | isGreaterThanOrEqual (IdentifierCref) const
| Greater than or equal method. More...

## Detailed Description

An Identifier is a abstract representation of identity.

Derivations implement ConcreteIdentifiers (Strings, Widgets, UUID, whatever). The logical operators call virtual methods which derivations should define.as all the defaults return true.

## Constructor & Destructor Documentation

corelinux::Identifier::Identifier | ( | IdentifierCref | aRef | ) |

Copy Constructor.

Parameters

  Identifier | const reference

## Member Function Documentation

bool corelinux::Identifier::isEqual | ( | IdentifierCref |  | ) | const

protected virtual

Equality method.

Parameters

  Identifier | const reference

Returns
  true if equal, false otherwise

Reimplemented in corelinux::ScalarIdentifier< ScalarType >.

Referenced by operator==().

bool corelinux::Identifier::isGreaterThan | ( | IdentifierCref |  | ) | const

protected virtual

Greater than method.

Parameters

  Identifier | const reference

Returns
  true if greater than, false otherwise

Reimplemented in corelinux::ScalarIdentifier< ScalarType >.

Referenced by operator>().

bool corelinux::Identifier::isGreaterThanOrEqual | ( | IdentifierCref |  | ) | const

protected virtual

Greater than or equal method.

Parameters

  Identifier | const reference

Returns
  true if greater than or equal, false otherwise

Reimplemented in corelinux::ScalarIdentifier< ScalarType >.

Referenced by operator>=().

bool corelinux::Identifier::isLessThan | ( | IdentifierCref |  | ) | const

protected virtual

Less than method.

Parameters

  Identifier | const reference

Returns
  true if less than, false otherwise

Reimplemented in corelinux::ScalarIdentifier< ScalarType >.

Referenced by operator<().

bool corelinux::Identifier::isLessThanOrEqual | ( | IdentifierCref |  | ) | const

protected virtual

Less than or equal method.

Parameters

  Identifier | const reference

Returns
  true if less than or equal, false otherwise

Reimplemented in corelinux::ScalarIdentifier< ScalarType >.

Referenced by operator<=().

bool corelinux::Identifier::operator!= | ( | IdentifierCref | aRef | ) | const

Non-equality operator overload returns !isEqual(aRef)

Parameters

  Identifier | const reference

Returns
  false if equal, true otherwise

References operator==().

bool corelinux::Identifier::operator< | ( | IdentifierCref | aRef | ) | const

Less than operator overload.

Calls isLessThan virtual method.

Parameters

  Identifier | const reference

Returns
  true if less than, false otherwise

References isLessThan().

bool corelinux::Identifier::operator<= | ( | IdentifierCref | aRef | ) | const

Less than or equal operator overload.

Calls isLessThanOrEqual virtual method.

Parameters

  Identifier | const reference

Returns
  true if less than or equal, false otherwise

References isLessThanOrEqual().

IdentifierRef corelinux::Identifier::operator= | ( | IdentifierCref | aRef | ) |

Assignment operator overload.

Parameters

  Identifier | const reference

Returns
  Identifier reference to self

References corelinux::CoreLinuxObject::operator=().

bool corelinux::Identifier::operator== | ( | IdentifierCref | aRef | ) | const

Equality operator overload calls isEqual virtual method.

Parameters

  Identifier | const reference

Returns
  true if equal, false otherwise

References isEqual().

Referenced by operator!=().

bool corelinux::Identifier::operator> | ( | IdentifierCref | aRef | ) | const

Greater than operator overload.

Calls isGreaterThan virtual method.

Parameters

  Identifier | const reference

Returns
  true if greater than, false otherwise

References isGreaterThan().

bool corelinux::Identifier::operator>= | ( | IdentifierCref | aRef | ) | const

Greater than or equal operator overload.

Calls isGreaterThanOrEqual virtual method.

Parameters

  Identifier | const reference

Returns
  true if greater than or equal, false otherwise

References isGreaterThanOrEqual().

The documentation for this class was generated from the following files:

- Identifier.hpp
- Identifier.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium